Summary: A utility which can list, test, or extract files from a .zip archive
Name: unzip
Version: 6.0
Release: 4%{?dist}
License: BSD
URL: http://infozip.sourceforge.net/UnZip.html
Source0: http://downloads.sourceforge.net/infozip/unzip60.tar.gz

# patch3000~3022 are from fedora
Patch3000: unzip-6.0-configure.patch
Patch3001: unzip-6.0-exec-shield.patch
Patch3002: unzip-6.0-close.patch
Patch3003: unzip-6.0-attribs-overflow.patch
Patch3004: unzip-6.0-fix-recmatch.patch
Patch3005: unzip-6.0-symlink.patch
Patch3006: unzip-6.0-caseinsensitive.patch
Patch3007: unzip-6.0-format-secure.patch
Patch3008: unzip-6.0-valgrind.patch
Patch3009: unzip-6.0-x-option.patch
Patch3010: unzip-6.0-overflow.patch
Patch3011: unzip-6.0-cve-2014-8139.patch
Patch3012: unzip-6.0-cve-2014-8140.patch
Patch3013: unzip-6.0-cve-2014-8141.patch
Patch3014: unzip-6.0-overflow-long-fsize.patch
Patch3015: unzip-6.0-heap-overflow-infloop.patch
Patch3016: unzip-6.0-alt-iconv-utf8.patch
Patch3017: unzip-6.0-alt-iconv-utf8-print.patch
Patch3018: 0001-Fix-CVE-2016-9844-rhbz-1404283.patch
Patch3019: unzip-6.0-timestamp.patch
Patch3020: unzip-6.0-cve-2018-1000035-heap-based-overflow.patch
Patch3021: unzip-6.0-cve-2018-18384.patch
Patch3022: unzip-6.0-COVSCAN-fix-unterminated-string.patch

BuildRequires: gcc make 
BuildRequires: bzip2-devel

%description
UnZip will list, test, or extract files from a .zip archive, commonly
found on MS-DOS systems. The default behavior (with no options) is to
extract into the current directory (and subdirectories below it) all 
files from the specified zipfile. A companion program, Zip, creates .zip
archives; both programs are compatible with archives created by PKZIP 
and PKUNZIP for MS-DOS, but in many cases the program options or default 
behaviors differ. (For example, UnZip recreates the stored directory 
structure by default; PKUNZIP unpacks all files in the current directory
by default.)


%prep
%autosetup -n %{name}60 -p1


%build
%make_build -f  unix/Makefile  prefix=%{_prefix}  \
            CF_NOOPT="-I. -DUNIX $RPM_OPT_FLAGS -DNOMEMCPY -DIZ_HAVE_UXUIDGID -DNO_LCHMOD" \
            LFLAGS2="%{?__global_ldflags}" generic_gcc


%install
%{make_install} -f unix/Makefile BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1 INSTALL="cp -p"


%files
%license LICENSE COPYING.OLD
%doc README BUGS Contents ToDo WHERE
%{_bindir}/*
%{_mandir}/man1/*.1.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jun 09 2022 doriscchao <doriscchao@tencent.com> - 6.0-1
- initial build,Version 6.0, Release 1
